org.apache.storm.loadgen

## Class LoadMetricsServer

- java.lang.Object
- - org.apache.storm.loadgen.HttpForwardingMetricsServer
  - - org.apache.storm.loadgen.LoadMetricsServer

-     public class LoadMetricsServer
      extends HttpForwardingMetricsServer

  A metrics server that records and reports metrics for a set of running topologies.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoadMetricsServer.Measurements`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_REPORT_INTERVAL`
    `static long` | `DEFAULT_WINDOW_INTERVAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addCommandLineOptions(org.apache.commons.cli.Options options)` Add Command line options for configuring the output of this.
    `void` | `handle(IMetricsConsumer.TaskInfo taskInfo, Collection<IMetricsConsumer.DataPoint> dataPoints, String topologyId)`
    `void` | `monitorFor(double execTimeMins, Nimbus.Iface client, Collection<String> topoNames)` Monitor the list of topologies for the given time frame.

    - ### Methods inherited from class org.apache.storm.loadgen.HttpForwardingMetricsServer

      `getPort, getUrl, serve, serve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_REPORT_INTERVAL

          public static final long DEFAULT_REPORT_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_WINDOW_INTERVAL

          public static final long DEFAULT_WINDOW_INTERVAL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addCommandLineOptions

          public static void addCommandLineOptions(org.apache.commons.cli.Options options)

      Add Command line options for configuring the output of this.

      Parameters:
        `options` - command line options to update

    - #### monitorFor

          public void monitorFor(double execTimeMins,
                                 Nimbus.Iface client,
                                 Collection<String> topoNames)
                          throws Exception

      Monitor the list of topologies for the given time frame.

      Parameters:
        `execTimeMins` - how long to monitor for
        `client` - the client to use when monitoring
        `topoNames` - the names of the topologies to monitor
      Throws:
        `Exception` - on any error

    - #### handle

          public void handle(IMetricsConsumer.TaskInfo taskInfo,
                             Collection<IMetricsConsumer.DataPoint> dataPoints,
                             String topologyId)

      Specified by:
        `handle` in class `HttpForwardingMetricsServer`

Copyright © 2021 The Apache Software Foundation. All rights reserved.